package cn.axzo.msg.center.inside.notices.service;

import cn.axzo.msg.center.MsgCenterApplication;
import cn.axzo.msg.center.api.enums.BizTypeEnum;
import cn.axzo.msg.center.api.request.CmsReadMsgReq;
import lombok.RequiredArgsConstructor;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.annotation.Commit;

import static org.junit.jupiter.api.Assertions.*;

/**
 * @author yanglin
 */
@SpringBootTest(classes = MsgCenterApplication.class)
@RequiredArgsConstructor(onConstructor_ = @Autowired)
class MessageRecordServiceTest {

    private final MessageRecordService messageRecordService;

    @Test
    @Commit
    void foo() {
        // CmsReadMsgReq(msgId=1790536, personId=9000399060, identityId=2004201, bizTypeEnum=CONSTRUCTION)
        CmsReadMsgReq req = new CmsReadMsgReq();
        req.setMsgId(1790536L);
        req.setPersonId(9000399060L);
        req.setPersonId(2004201L);
        req.setBizTypeEnum(BizTypeEnum.CONSTRUCTION);
        messageRecordService.updateReadMsgStatus(req);
    }

}